{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}:
{
  users.users = {
    # connection only via hashed password;
    dev = {
      isNormalUser = true;
      home = "/home/dev";
      description = "User used to manually connect to this system (e.g. for maintenance)";
      extraGroups = [
        "docker"
        "wheel"
      ];
      hashedPassword = "${builtins.readFile ./../dev_user_password.pw}";
    };
  };
}

